import { IUploadFileType, IErrMsg } from '@beisen-phoenix/upload-intf';
declare type ChangeCallback = (f: IUploadFileType[]) => void;
declare type EachChangeCallback = (data: Partial<IUploadFileType>) => void;
declare type ErrorCallBack = (e: IErrMsg) => void;
interface IOption {
    files: IUploadFileType[];
    url?: string | ((f: any) => string);
    onChange: ChangeCallback;
    onEachComplete?: EachChangeCallback;
    onError?: ErrorCallBack;
    parseResponse?: (data: any) => Partial<IUploadFileType>;
}
export default function useAjaxUpload({ files, url, onChange, onEachComplete, onError, parseResponse }: IOption): void;
export {};
